Page MenuHomePhabricator

Improve UX in chapter dropdown menu for books with lots of chapters
Closed, DeclinedPublic

Description

If a book has e. g. 100 chapters, the menu may be a little inconvenient for the user.

Open e.g.
http://tools.wmflabs.org/bookmanagerv2/wiki/Juggling/Basic_Tricks

and execute the following in the console:

for(i=1;i<100;i++)

$('div.mw-bookmanagerv2-nav-toc')
  .find('ol')
  .append('<li>Extra chapter '+i+'</li>');

you'll have to scroll the page to get to the last chapter, and I don't know if this is the better approach.

One alternative I can think of is to add just a few (10?) chapters to the list and insert an input box after that,

$('div.mw-bookmanagerv2-nav-toc')

.find('ol')
.after('<input type="search" placeholder="Search chapter...">');

which the user could use to type the name of another chapter, and get suggestions as in Vector's search menu, which seems to use this module:
https://www.mediawiki.org/wiki/ResourceLoader/Default_modules#jquery.suggestions


Version: unspecified
Severity: normal

Details

Reference
bz51257

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:49 AM
bzimport set Reference to bz51257.
He7d3r created this task.Jul 12 2013, 7:32 PM

Note: it also needs a vertical-scrollbar when the menu reach a certain size limit

Another option, for Helder's idea, is the 'infinite scrolling'(I love that):

Generic exemples, here: http://www.jquery4u.com/tutorials/jquery-infinite-scrolling-demos/

And mediawiki exemple in extension 'Page Curation', here: https://en.wikipedia.org/wiki/Special:NewPagesFeed

Change 74658 had a related patch set uploaded by Mollywhite:
Bug 51257: Improve chapter dropdown for books with many chapters.

https://gerrit.wikimedia.org/r/74658

Change 74658 merged by Mollywhite:
Bug 51257: Improve chapter dropdown for books with many chapters.

https://gerrit.wikimedia.org/r/74658

Aklapper lowered the priority of this task from Low to Lowest.Feb 11 2016, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2016, 6:08 PM
MarcoAurelio closed this task as Declined.Nov 7 2017, 9:54 AM
MarcoAurelio added a subscriber: MarcoAurelio.

Declining because BookManagerv2 is an archived extension now. Please see T178938: Archive the BookManagerv2 extension for details. All Gerrit patches were already abandoned long ago.